Subject: Re: AuditValue

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 6 Feb 2001 19:31:12 -0500

ROOT represents the state of the base gateway, not specific
to a termination.  You can implement a package defined on
root which includes an event.  There is a proposal to
do this for a keepalive (an idea I personally think is
not useful), for example.

You will also have to audit the terminations (and the contexts).
For the audit of root, you probably want Media (to get
termination state, which is where properties of the media
gateway would be defined).  You may also want to audit
Packages if you don't already have this info, Events,
and, I suppose, Signals (there aren't any packages that
define signals on root, but it would be legal to do so).

Brian

> -----Original Message-----
> From: Willy Reheul [mailto:[email-masked]]
> Sent: Tuesday, February 06, 2001 10:56 AM
> To: [email-masked]
> Subject: AuditValue
>
>
> Hello,
>
> RFC3015 specifies in chapter 7.2.8 ServiceChange that an MGC
> may wish to
> audit an MG that has reported a ServiceChange method = 'Disconnected'.
> The purpose of such an audit is for the MGC to resynchronise its state
> with the MG's state.
>
> Now I'm trying to do this.
> According to the table at the bottom of chapter 7.2.5. AuditValue, the
> command must specify context = NULL, TerminationID = ROOT, then the
> returned information shall be Media Gateway "STATE" and "EVENTS". That
> 's what I want, at least the STATE; I'm not sure what the root EVENTS
> can be.
>
> The question is how must the AUDITDESCRIPTOR look like in this
> AuditValue command to obtain the latter.
> Media ?  Mux ?  Modem ? Packages .......?
> (Also note that 'empty auditdescriptor' results in only the
> terminationID being returned.)
>
> Thanks in advance,
> Willy
>